Bug 797374 - [abrt] sugar-0.94.1-1.fc16: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
Summary: [abrt] sugar-0.94.1-1.fc16: Process /usr/bin/python was killed by signal 11 (...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simon Schampijer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6b7ff866f171f84786212f32761...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-25 09:31 UTC by jalal
Modified: 2012-03-24 00:35 UTC (History)
9 users (show)

Fixed In Version: sugar-toolkit-0.94.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-24 00:35:33 UTC
Type: ---


Attachments (Terms of Use)
File: dso_list (14.58 KB, text/plain)
2012-02-25 09:31 UTC, jalal
no flags Details
File: build_ids (5.89 KB, text/plain)
2012-02-25 09:32 UTC, jalal
no flags Details
File: var_log_messages (6.41 KB, text/plain)
2012-02-25 09:32 UTC, jalal
no flags Details
File: backtrace (60.12 KB, text/plain)
2012-02-25 09:32 UTC, jalal
no flags Details
File: maps (63.25 KB, text/plain)
2012-02-25 09:32 UTC, jalal
no flags Details
File: backtrace (95.46 KB, text/plain)
2012-03-12 14:52 UTC, Samuel Greenfeld
no flags Details
File: backtrace (94.92 KB, text/plain)
2012-03-18 05:23 UTC, Jeff Sandys
no flags Details

Description jalal 2012-02-25 09:31:52 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        python /usr/bin/sugar-activity record.Record -b org.laptop.RecordActivity -a a39666350130ae6a95e1c39162e1e8e38841f663
crash_function: _wrap_hippo_cairo_surface_from_gdk_pixbuf
executable:     /usr/bin/python
kernel:         3.2.6-3.fc16.x86_64
pid:            14226
pwd:            /usr/share/sugar/activities/Record.activity
reason:         Process /usr/bin/python was killed by signal 11 (SIGSEGV)
time:           Sabtu 25 Feb 2012 04:50:42  MYT
uid:            1000
username:       jalal
xsession_errors: /usr/lib/python2.7/site-packages/ear_candy/ear_candy.py:200: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed

backtrace:      Text file, 61566 bytes
build_ids:      Text file, 6027 bytes
dso_list:       Text file, 14927 bytes
maps:           Text file, 64770 bytes
var_log_messages: Text file, 6561 bytes

environ:
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SUGAR_BUNDLE_PATH=/usr/share/sugar/activities/Record.activity
:MC_ACCOUNT_DIR=/home/jalal/.sugar/default/accounts
:KDE_IS_PRELINKED=1
:SUGAR_SCALING=72
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:QT_IM_MODULE=xim
:LOGNAME=jalal
:USER=jalal
:HOME=/home/jalal
:XDG_VTNR=2
:GNOME_KEYRING_CONTROL=/tmp/keyring-8QQuai
:PATH=/usr/share/sugar/activities/Record.activity/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/jalal/.local/bin:/home/jalal/bin:/sbin:/usr/sbin
:DISPLAY=:0
:SSH_AGENT_PID=13764
:LANG=en_US.UTF-8
:QTLIB=/usr/lib64/qt-3.3/lib
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=b8801ae6ceaaeb255f5e01760000000b-1330159302.73727-1318355299
:LANGUAGE=en_US.UTF-8
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/13691,unix/unix:/tmp/.ICE-unix/13691
:QTINC=/usr/lib64/qt-3.3/include
:SUGAR_BUNDLE_ID=org.laptop.RecordActivity
:HISTSIZE=1000
:WINDOWPATH=2
:SUGAR_PROFILE=default
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:USERNAME=jalal
:IMSETTINGS_MODULE=im-cedilla
:XDG_RUNTIME_DIR=/run/user/jalal
:KDEDIRS=/usr
:SSH_AUTH_SOCK=/tmp/ssh-VrGceqw13691/agent.13691
:GDMSESSION=sugar
:XMODIFIERS=@im=none
:SUGAR_ACTIVITY_ROOT=/home/jalal/.sugar/default/org.laptop.RecordActivity
:GTK2_RC_FILES=/usr/share/sugar/data/sugar-72.gtkrc
:XDG_SESSION_ID=6
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4fuHbWTNQl,guid=74624aeabebe52885a28393500000f9e
:XAUTHORITY=/var/run/gdm/auth-for-jalal-WyH9gc/database
:GTK_IM_MODULE=cedilla
:DESKTOP_SESSION=sugar
:GNOME_KEYRING_PID=13687
:HOSTNAME=MigrenPC
:GDM_LANG=en_US.UTF-8
:HISTCONTROL=ignoredups
:SHLVL=1
:PWD=/home/jalal
:MAIL=/var/spool/mail/jalal
:QTDIR=/usr/lib64/qt-3.3
:XDG_SEAT=seat0

smolt_data:
:
:
:General
:=================================
:UUID: 87c8faf7-d31f-4f2f-8bd8-b177e1c430cc
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6219.19
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2100 CPU @ 3.10GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 3100
:System Memory: 1986
:System Swap: 6143
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.2.6-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6987:37280:4163:33722) pci, pata_marvell, STORAGE, 88SE91A0 SATA 6Gb/s Controller
:(6987:37284:6987:37284) pci, pata_marvell, STORAGE, 88SE91A4 SATA 6Gb/s Controller
:(32902:256:4163:33869) pci, None, HOST/PCI, P8P67 Deluxe Motherboard
:(32902:257:4163:33869) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(32902:7202:4163:33869) pci, i801_smbus, SERIAL, P8P67 Deluxe Motherboard
:(32902:7170:4163:33869) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7238:4163:33869) pci, None, PCI/ISA, P8P67 Deluxe Motherboard
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(32902:7213:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7206:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7226:4163:33869) pci, None, SIMPLE, P8P67 Deluxe Motherboard
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(32902:7188:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7190:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7196:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7198:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:9294:4163:33869) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:7200:4163:33819) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4098:43624:4163:43624) pci, snd_hda_intel, MULTIMEDIA, Manhattan HDMI Audio [Mobility Radeon HD 5000 Series]
:(4098:26873:4163:884) pci, radeon, VIDEO, Cedar PRO [Radeon HD 5450]
:(32902:7194:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(6945:4224:4163:33929) pci, None, PCI/PCI, N/A
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext3 4096 4096 25790995 22712944 21402224 6553600 6185107 6185107
:

Comment 1 jalal 2012-02-25 09:31:57 UTC
Created attachment 565732 [details]
File: dso_list

Comment 2 jalal 2012-02-25 09:32:00 UTC
Created attachment 565733 [details]
File: build_ids

Comment 3 jalal 2012-02-25 09:32:02 UTC
Created attachment 565734 [details]
File: var_log_messages

Comment 4 jalal 2012-02-25 09:32:05 UTC
Created attachment 565735 [details]
File: backtrace

Comment 5 jalal 2012-02-25 09:32:08 UTC
Created attachment 565736 [details]
File: maps

Comment 6 Samuel Greenfeld 2012-03-12 14:52:19 UTC
1. Group install Sugar.
2. Install sugar-emulator.
3. Run sugar-emulator ("Sugar" in GNOME).
4. Enter your keyring (usually login) password when prompted.


backtrace_rating: 4
Package: sugar-0.94.1-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 7 Samuel Greenfeld 2012-03-12 14:52:25 UTC
Created attachment 569426 [details]
File: backtrace

Comment 8 Jeff Sandys 2012-03-18 05:22:54 UTC
Second report with Debug
Just select Sugar from Education menu
and wait a few seconds for fault


backtrace_rating: 4
Package: sugar-0.94.1-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 9 Jeff Sandys 2012-03-18 05:23:10 UTC
Created attachment 570863 [details]
File: backtrace

Comment 10 satellitgo 2012-03-18 07:54:03 UTC
related?

 Segfault running python /usr/bin/sugar-session 
 https://bugzilla.redhat.com/show_bug.cgi?id=798825

Comment 11 Simon Schampijer 2012-03-19 10:55:13 UTC
http://koji.fedoraproject.org/koji/buildinfo?buildID=308045 should fixes that. Can you try that?

Comment 12 Fedora Update System 2012-03-20 13:13:16 UTC
sugar-toolkit-0.94.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sugar-toolkit-0.94.1-1.fc16

Comment 13 Fedora Update System 2012-03-21 02:31:49 UTC
Package sugar-toolkit-0.94.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sugar-toolkit-0.94.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4293/sugar-toolkit-0.94.1-1.fc16
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2012-03-24 00:35:33 UTC
sugar-toolkit-0.94.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.